/*
 * JCuda - Java bindings for NVIDIA CUDA driver and runtime API
 * http://www.jcuda.org
 *
 * Copyright 2009-2012 Marco Hutter - http://www.jcuda.org
 */

package org.jcuda.samples.matrix.cg;

/**
 * Simple interface for a CG solver
 */
interface CGSolver
{
    /**
     * Set the tolerance
     * 
     * @param tolerance The tolerance
     */
    void setTolerance(float tolerance);
    
    /**
     * Return the tolerance
     * 
     * @return The tolerance
     */
    float getTolerance();
    
    /**
     * Set the maximum number of iterations
     * 
     * @param maxIterations The maximum number of iterations
     */
    void setMaxIterations(int maxIterations);
    
    /**
     * Returns the maximum number of iterations
     * 
     * @return The maximum number of iterations
     */
    int getMaxIterations();
}