/*
 * JCuda - Java bindings for NVIDIA CUDA driver and runtime API
 * http://www.jcuda.org
 *
 * Copyright 2009-2012 Marco Hutter - http://www.jcuda.org
 */

package org.jcuda.samples.matrix.cg;

/**
 * Interface for classes that allocate resources on the device.
 * Once the instances of classes implementing this interface
 * are no longer required, the {@link #dispose()} method should
 * be called in order to free all resources that have been 
 * allocated internally.
 */
public interface DeviceData
{
    /**
     * Dispose all resources that have been created by this instance
     */
    void dispose();
}
